Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.sql.util
Class DBColumn

    java.lang.Object
      semorg.sql.util.DBColumn

    public class DBColumn

extends Object

Models a column of a GUI table used in several list windows. Instances of this class serve as the connection between the database layer and the GUI layer.

Field Summary
`private Class` | `columnType` (Java-)Datatype of the column.
`private String` | `internalColumnName` Internal column name, used in the database layer.
`private String` | `publicColumnName` Public column name, used in the GUI layer.

Constructor Summary
`DBColumn(String internalColumnName, String publicColumnName, Class columnType)` Creates a `DBColumn` instance with given parameters.

Method Summary
`Class` | `getColumnType()`
`String` | `getInternalColumnName()`
`String` | `getPublicColumnName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### internalColumnName

    private String internalColumnName

  Internal column name, used in the database layer.

### publicColumnName

    private String publicColumnName

  Public column name, used in the GUI layer.

### columnType

    private Class columnType

  (Java-)Datatype of the column.

Constructor Detail

### DBColumn

    public DBColumn(String internalColumnName,
                    String publicColumnName,
                    Class columnType)

  Creates a `DBColumn` instance with given parameters.

  Parameters:
    `internalColumnName` - Internal column name, used in the database layer.
    `publicColumnName` - Public column name, used in the GUI layer.
    `columnType` - (Java-)Datatype of the column.

Method Detail

### getInternalColumnName

    public String getInternalColumnName()

### getPublicColumnName

    public String getPublicColumnName()

### getColumnType

    public Class getColumnType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD